Bug 490918 - RFE: support SHA-2 hashes in ecryptfs
RFE: support SHA-2 hashes in ecryptfs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: fedora-sha2-pkgs
  Show dependency treegraph
 
Reported: 2009-03-18 11:13 EDT by Miloslav Trmač
Modified: 2016-05-27 10:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 10:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-03-18 11:13:03 EDT
MD5 is all but broken.  Could you add support for SHA-2 in the remaining parts of ecryptfs, please?

I have identified the following areas:
* ecryptfs uses MD5 to generate IVs for block encryption.
* ecryptfs supports only MD5 in string-to-key algorithm for PGP private key handling. 

(I realize converting them all now might not be practical - but they should be
converted eventually.)
Comment 2 Bug Zapper 2009-06-09 08:21:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:15:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Josh Boyer 2011-11-07 19:43:12 EST
Is this still required?  More importantly, has anybody actually started working with upstream to implement this?
Comment 5 Miloslav Trmač 2011-11-07 20:03:41 EST
(In reply to comment #4)
> Is this still required?
Well, md5 is still "all but broken", even more than at the time the bug was filed..

> More importantly, has anybody actually started working
> with upstream to implement this?
I don't know about any such effort.

Note You need to log in before you can comment on or make changes to this bug.